Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class _AliasDefStub

    java.lang.Object
      |
      +--org.omg.CORBA.portable.ObjectImpl
            |
            +--org.omg.CORBA._AliasDefStub

All Implemented Interfaces:
  AliasDef, AliasDefOperations, Contained, ContainedOperations, IDLEntity, IDLType, IDLTypeOperations, IRObject, IRObjectOperations, Object, java.io.Serializable, TypedefDef, TypedefDefOperations

public class _AliasDefStub
extends ObjectImpl
implements AliasDef

An AliasDef represents an OMG IDL typedef that aliases another definition.

See Also:
  Serialized Form

Constructor Summary
`_AliasDefStub()`

Method Summary
`java.lang.String[]` | `_ids()`
`java.lang.String` | `absolute_name()` Read accessor for absolute_name attribute
`Repository` | `containing_repository()` Read accessor for containing_repository attribute
`DefinitionKind` | `def_kind()` Read accessor for def_kind attribute
`Container` | `defined_in()` Read accessor for defined_in attribute
`Description` | `describe()` Operation describe
`void` | `destroy()` Operation destroy
`java.lang.String` | `id()` Read accessor for id attribute
`void` | `id(java.lang.String value)` Write accessor for id attribute
`void` | `move(Container new_container, java.lang.String new_name, java.lang.String new_version)` Operation move
`java.lang.String` | `name()` Read accessor for name attribute
`void` | `name(java.lang.String value)` Write accessor for name attribute
`IDLType` | `original_type_def()` Read accessor for original_type_def attribute
`void` | `original_type_def(IDLType value)` Write accessor for original_type_def attribute
`TypeCode` | `type()` Read accessor for type attribute
`java.lang.String` | `version()` Read accessor for version attribute
`void` | `version(java.lang.String value)` Write accessor for version attribute

Methods inherited from class org.omg.CORBA.portable.ObjectImpl
`_create_request, _create_request, _duplicate, _get_delegate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _invoke, _is_a, _is_equivalent, _is_local, _non_existent, _orb, _release, _releaseReply, _request, _request, _servant_postinvoke, _servant_preinvoke, _set_delegate, _set_policy_override, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.omg.CORBA.Object
`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_interface, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`

Constructor Detail

### _AliasDefStub

    public _AliasDefStub()

Method Detail

### _ids

    public java.lang.String[] _ids()

  Overrides:
    `_ids` in class `ObjectImpl`

### original_type_def

    public IDLType original_type_def()

  Read accessor for original_type_def attribute
  Specified by:
    `original_type_def` in interface `AliasDefOperations`
  Returns:
    the attribute value

### original_type_def

    public void original_type_def(IDLType value)

  Write accessor for original_type_def attribute
  Specified by:
    `original_type_def` in interface `AliasDefOperations`
  Parameters:
    `value` - the attribute value

### id

    public java.lang.String id()

  Read accessor for id attribute
  Specified by:
    `id` in interface `ContainedOperations`
  Returns:
    the attribute value

### id

    public void id(java.lang.String value)

  Write accessor for id attribute
  Specified by:
    `id` in interface `ContainedOperations`
  Parameters:
    `value` - the attribute value

### name

    public java.lang.String name()

  Read accessor for name attribute
  Specified by:
    `name` in interface `ContainedOperations`
  Returns:
    the attribute value

### name

    public void name(java.lang.String value)

  Write accessor for name attribute
  Specified by:
    `name` in interface `ContainedOperations`
  Parameters:
    `value` - the attribute value

### version

    public java.lang.String version()

  Read accessor for version attribute
  Specified by:
    `version` in interface `ContainedOperations`
  Returns:
    the attribute value

### version

    public void version(java.lang.String value)

  Write accessor for version attribute
  Specified by:
    `version` in interface `ContainedOperations`
  Parameters:
    `value` - the attribute value

### defined_in

    public Container defined_in()

  Read accessor for defined_in attribute
  Specified by:
    `defined_in` in interface `ContainedOperations`
  Returns:
    the attribute value

### absolute_name

    public java.lang.String absolute_name()

  Read accessor for absolute_name attribute
  Specified by:
    `absolute_name` in interface `ContainedOperations`
  Returns:
    the attribute value

### containing_repository

    public Repository containing_repository()

  Read accessor for containing_repository attribute
  Specified by:
    `containing_repository` in interface `ContainedOperations`
  Returns:
    the attribute value

### describe

    public Description describe()

  Operation describe
  Specified by:
    `describe` in interface `ContainedOperations`

### move

    public void move(Container new_container,
                     java.lang.String new_name,
                     java.lang.String new_version)

  Operation move
  Specified by:
    `move` in interface `ContainedOperations`

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute
  Specified by:
    `def_kind` in interface `IRObjectOperations`
  Returns:
    the attribute value

### destroy

    public void destroy()

  Operation destroy
  Specified by:
    `destroy` in interface `IRObjectOperations`

### type

    public TypeCode type()

  Read accessor for type attribute
  Specified by:
    `type` in interface `IDLTypeOperations`
  Returns:
    the attribute value

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD